/*
 *  The Syncro Soft SRL License
 *
 *  Copyright (c) 1998-2007 Syncro Soft SRL, Romania.  All rights
 *  reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *  1. Redistribution of source or in binary form is allowed only with
 *  the prior written permission of Syncro Soft SRL.
 *
 *  2. Redistributions of source code must retain the above copyright
 *  notice, this list of conditions and the following disclaimer.
 *
 *  3. Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in
 *  the documentation and/or other materials provided with the
 *  distribution.
 *
 *  4. The end-user documentation included with the redistribution,
 *  if any, must include the following acknowledgment:
 *  "This product includes software developed by the
 *  Syncro Soft SRL (http://www.sync.ro/)."
 *  Alternately, this acknowledgment may appear in the software itself,
 *  if and wherever such third-party acknowledgments normally appear.
 *
 *  5. The names "Oxygen" and "Syncro Soft SRL" must
 *  not be used to endorse or promote products derived from this
 *  software without prior written permission. For written
 *  permission, please contact support@oxygenxml.com.
 *
 *  6. Products derived from this software may not be called "Oxygen",
 *  nor may "Oxygen" appear in their name, without prior written
 *  permission of the Syncro Soft SRL.
 *
 *  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 *  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 *  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *  DISCLAIMED.  IN NO EVENT SHALL THE SYNCRO SOFT SRL OR
 *  ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 *  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 *  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 *  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 *  SUCH DAMAGE.
 */
package ro.sync.licensemanager;

import ro.sync.annotations.api.API;
import ro.sync.annotations.api.APIType;
import ro.sync.annotations.api.SourceType;

/**
 * All possible categories of an Oxygen license
 * 
 * @since 12.2
 */
@API(type=APIType.NOT_EXTENDABLE, src=SourceType.PUBLIC)
public interface LicenseCategories {
  /**
   * Professional license. 
   */
  public static final String CATEGORY_PROFESSIONAL = "Professional";
  /**
   * SVN-Professional license. 
   */
//  public static final String CATEGORY_SVN_PROFESSIONAL = "SVN-Professional";
  /**
   * Professional floating license.
   */
  public static final String CATEGORY_PROFESSIONAL_FLOATING = "Professional-Floating";
  /**
   * Academic floating license.
   */
  public static final String CATEGORY_ACADEMIC_FLOATING = "Academic-Floating";
  /**
   * Enterprise floating license.
   */
  public static final String CATEGORY_ENTERPRISE_FLOATING = "Enterprise-Floating";
  /**
   * Enterprise site license.
   */
  public static final String CATEGORY_ENTERPRISE_SITE = "Enterprise-Site";
  /**
   * Enterprise license.
   */
  public static final String CATEGORY_ENTERPRISE = "Enterprise";
  /**
   * Professional site license.
   */
  public static final String CATEGORY_PROFESSIONAL_SITE = "Professional-Site";
  /**
   * Professional Corporate license.
   */
  public static final String CATEGORY_PROFESSIONAL_CORPORATE = "Professional-Corporate";
  /**
   * Enterprise Corporate license.
   */
  public static final String CATEGORY_ENTERPRISE_CORPORATE = "Enterprise-Corporate";
  /**
   * Academic license.
   */
  public static final String CATEGORY_ACADEMIC = "Academic";
  /**
   * Academic classroom license.
   */
  public static final String CATEGORY_ACADEMIC_CLASSROOM = "Academic-Classroom";
  /**
   * Academic departmental license.
   */
  public static final String CATEGORY_ACADEMIC_DEPARTMENTAL = "Academic-Departmental";
  /**
   * Academic site license. 
   */
  public static final String CATEGORY_ACADEMIC_SITE = "Academic-Site";
}
